All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class TableElementChangedEvent

    com.sas.table.TableElementChangedEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  CellChangedEvent, CellVectorChangedEvent

    public abstract class TableElementChangedEvent

Defines an abstract base class for reporting changes to table elements.

TableElementChangedEvent anchors a hierarchy of event classes that represent changes to the elements of a table. Those elements are divided into two general categories, cells and cell vectors, which are represented by the abstract subclasses CellChangedEvent and CellVectorChangedEvent.

Cells are divided into labels (LabelChangedEvent) and data cells (DataCellChangedEvent). Labels are further split into column labels (ColumnLabelChangedEvent) and row labels (RowLabelChangedEvent).

Cell vectors are divided into columns (ColumnChangedEvent) and rows (RowChangedEvent).

When a specific cell or range of cells changes, table models should create and send one of the CellChangedEvent subclasses to their list of ContentsChangedEvent listeners.

When a specific cell vector or range of cell vectors changes, table models should create and send one of the CellVectorChangedEvent subclasses to their list of ContentsChangedEvent listeners.

If an event is fired for a cell (or set of cells), the model should not also generate an event for the cell's column and row. Conversely, when an event is fired about a column or row, the model does not also need to fire events for the individual cells in that column or row. For example, the CellVector.howChanged constant CellVector.CELLS should be used instead of generating individual cell events when either all of or an unknown number of the cell vector's cells have changed.

See Also:
  `CellChangedEvent`, `CellVectorChangedEvent`, `LabelChangedEvent`, `ColumnLabelChangedEvent`, `RowLabelChangedEvent`, `DataCellChangedEvent`, `ColumnChangedEvent`, `RowChangedEvent`, Serialized Form

Constructor Summary
`TableElementChangedEvent(java.lang.Object source)` Constructor.

Constructor Detail

### TableElementChangedEvent

    public TableElementChangedEvent(java.lang.Object source)

  Constructor.

  Parameters:
    `source` - The table model whose table element (cell, column, row) has changed.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.